#!/bin/python
from __future__ import print_function
import ase
from ase import io
import sys
import numpy as np

def sc(angle):
    """ Fixes angles to match a -180 to 180 sign convention"""
    if angle>180:
        return angle-360.
    else:
        return angle
    
ifl="transcis.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[0,12,16,22],[22,21,41,49],[25,38,42,48],[48,47,93,101]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))



ifl="transtrans.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[0,12,16,22],[22,21,41,49],[25,38,42,48],[48,47,93,101]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))

ifl="cistrans.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[14,26,30,36],[36,35,55,57],[39,52,12,13],[13,56,107,115]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))


ifl="ciscis.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[0,12,16,22],[22,21,41,49],[25,38,42,48],[48,47,93,101]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))

