#!/bin/python
from __future__ import print_function
import ase
from ase import io
import sys
import numpy as np

def sc(angle):
    """ Fixes angles to match a -180 to 180 sign convention"""
    if angle>180:
        return angle-360.
    else:
        return angle
    
ifl="transcis.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[15,27,0,11],[11,6,45,44],[42,43,46,57],[57,52,109,110]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))



ifl="transtrans.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[11,12,15,26],[26,21,43,42],[40,41,44,55],[55,50,94,93]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))

ifl="cistrans.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[11,12,15,26],[26,21,43,56],[29,41,44,55],[55,50,94,93]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))


ifl="ciscis.pdb"
mol=io.read(ifl)
mol=mol.repeat((2,1,1))
# A B A B ordering - fix for table
dihs=[]
for dih in [[6,18,21,32],[32,27,51,62],[35,48,52,61],[61,4,85,113]]:
    dihs.append(sc(mol.get_dihedral(dih)*180.0/np.pi))
dihs=np.array(dihs)
print(ifl.replace(".pdb","")+" & ","\t&\t".join(["{:.0f}".format(i) for i in dihs[[0,2,1,3]]]))

