#########################Script Start###############

#!/bin/bash
# sh script.sh QEOutfile
# takes atomic coords from QEOutfile and makes an xyz
if test "$#" -gt 2; then
    echo "qe2xyz pwout xyz"
    exit
fi
if test "$#" -lt 1; then
	echo "qe2xyz pwout xyz"
	exit
fi

pwout=$1
#numofatoms=`grep "number of atoms" -m 1 $pwout | awk '{print $NF}' `
numofatoms=`grep -B2 "Total force" -m 1 $pwout | head -n 1 | awk '{print $2}' `
if [ -z "$2" ]
then
	xyz=`echo $pwout | sed 's/\.out/\.xyz/' `
else
	xyz=$2
fi

echo $numofatoms > $xyz

cell=`grep "CELL_PARAMETERS (angstrom)" -A3 $pwout | tail -n 3 | xargs`

echo 'Lattice="'$cell'" Properties=species:S:1:pos:R:3 pbc="T T T"' >> $xyz

grep -A $numofatoms 'ATOMIC_POSITIONS' $pwout | tail -$numofatoms >> $xyz


##########################Script End###############

